# Script Example

# Open a socket to a POP server. Report if mail is available
# Assign a host, login and password for this session

set popHost example.com

set popLoginID myID
set popPasswd SecretPassword

# Open the socket to port 110 (POP3 server)

set popClient [socket $popHost 110]

# Get the first line:
# +OK QPOP (version ..) at example.com starting...

set line [gets $popClient]

# We can check for the*_OK' reply by confirming that*_OK'
# is the first item in the string
if {[string first "+OK" $line] != 0} {
    
    puts "ERROR: Did not get expected*_+OK' prompt"
    puts "Received: $line"
    exit;
    
}

# send the user name
# Note that the socket can be used for both input and output

puts $popClient "user $popLoginID"

# The socket is buffered by default. Thus we need to
# either fconfigure the socket to be non-buffered, or
# force the buffer to be sent with a flush command.

flush $popClient

# Receive the password prompt:

# +OK Password required for myID.

set response [gets $popClient]
# We can also check for the*_OK' using string match
if {[string match "+OK*" $response] == 0} {
    
    puts "ERROR: Did not get expected*_+OK' prompt"
    puts "Received: $response"
    exit;
    
}

# Send Password

puts $popClient "pass $popPasswd"
flush $popClient

# Receive the message count:
# +OK myID has 0 messages (0 octets).

set message [gets $popClient]

if {![string match "+OK*" $message]} {
    
    puts "ERROR: Did not get expected*_+OK' prompt"
    puts "Received: $message"
    exit;
    
}

puts [string range $message 3 end]


